Page MenuHomePhabricator

Run Property Terms Rebuild script
Closed, ResolvedPublicJun 25 2019

Description

  • script is under /repo/maintenance/rebuildPropertyTerms.php
  • maybe run it in batches, say 100 properties per batch
  • between batches sleeping for 2-5 seconds is advised, and also (additionally) using Mediawiki's "wait for replication lag" function, to ensure replicas have enough time to catch up with updates
  • migration of all property terms should finish by the due date, before switching migration stage to read from new

Details

Due Date
Jun 25 2019, 10:00 PM

Event Timeline

alaa_wmde created this task.Jun 5 2019, 6:37 AM
alaa_wmde set Due Date to Jun 17 2019, 10:00 PM.Jun 5 2019, 6:40 AM
alaa_wmde updated the task description. (Show Details)
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptJun 5 2019, 6:40 AM
alaa_wmde changed Due Date from Jun 17 2019, 10:00 PM to Jun 26 2019, 10:00 PM.Jun 13 2019, 5:59 PM
alaa_wmde changed Due Date from Jun 26 2019, 10:00 PM to Jun 25 2019, 10:00 PM.
WMDE-leszek updated the task description. (Show Details)Jun 18 2019, 12:56 PM
WMDE-leszek updated the task description. (Show Details)
WMDE-leszek updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2019-06-20T14:18:18Z] <Amir1> start of ladsgroup@mwmaint1002:~$ mwscript extensions/Wikibase/repo/maintenance/rebuildPropertyTerms.php --wiki=testwikidatawiki --batch-size=100 --sleep=3 (T225052)

Mentioned in SAL (#wikimedia-operations) [2019-06-20T14:28:17Z] <Amir1> end of ladsgroup@mwmaint1002:~$ mwscript extensions/Wikibase/repo/maintenance/rebuildPropertyTerms.php --wiki=testwikidatawiki --batch-size=100 --sleep=3 (T225052)

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:37 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 26 2019, 11:15 AM

Mentioned in SAL (#wikimedia-operations) [2019-06-26T12:27:05Z] <Amir1> end of ladsgroup@mwmaint1002:~$ mwscript extensions/Wikibase/repo/maintenance/rebuildPropertyTerms.php --wiki=wikidatawiki --batch-size=100 --sleep=3 (T225052)

Mentioned in SAL (#wikimedia-operations) [2019-06-27T12:01:43Z] <Amir1> start of mwscript extensions/Wikibase/repo/maintenance/rebuildPropertyTerms.php --wiki=testwikidatawiki --batch-size=100 --sleep=3 (T225052)

Lydia_Pintscher closed this task as Resolved.Jul 15 2019, 11:06 AM